Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154187 - Evince hangs when the postscript format is not sane
Summary: Evince hangs when the postscript format is not sane
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-08 01:57 UTC by Leon Ho
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-28 08:34:41 UTC


Attachments (Terms of Use)
mozilla postscript (deleted)
2005-04-08 01:57 UTC, Leon Ho
no flags Details

Description Leon Ho 2005-04-08 01:57:44 UTC
Description of problem:
Evine hangs when the postscript format is not sane. It should be handling better
on handling failed postscript.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. evine mozilla.ps [see attached]
  
Actual results:
crashed

Expected results:
give out the postscript error or at least load without any document

Additional info:

Comment 1 Leon Ho 2005-04-08 01:57:44 UTC
Created attachment 112843 [details]
mozilla postscript

Comment 2 Marco Pesenti Gritti 2005-05-16 09:27:21 UTC
This seem to be fixed on cvs head... Will try to get a new release in rawhide asap.

Comment 5 Warren Togami 2005-05-28 08:34:41 UTC
Confirmed in dist-fc4.


Note You need to log in before you can comment on or make changes to this bug.